Bug 14259 - OPAC system preference BiblioDefaultView is ignored
Summary: OPAC system preference BiblioDefaultView is ignored
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-23 14:15 UTC by Ranadip Chandra
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14259: OPAC system preference BiblioDefaultView is ignored (6.43 KB, patch)
2015-07-09 00:27 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14259: OPAC system preference BiblioDefaultView is ignored (6.55 KB, patch)
2015-11-11 17:14 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 14259: OPAC system preference BiblioDefaultView is ignored (3.16.x) (6.37 KB, patch)
2015-12-02 23:21 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ranadip Chandra 2015-05-23 14:15:28 UTC
In OPAC searching result does not show in ISBD form after changing in BiblioDefaultView in Administration.
Comment 1 M. Tompsett 2015-05-29 18:57:50 UTC
Changing the OPAC system preference BiblioDefaultView did not affect the link generation in opac-search.pl correctly. It always went to opac-detail.
Comment 2 M. Tompsett 2015-05-29 19:10:46 UTC
-- with respect to the cover images.
Comment 3 Katrin Fischer 2015-05-31 13:03:38 UTC
bug 12574 should have fixed this - can you give some more information about your Koha version and the links you click?
Comment 4 M. Tompsett 2015-05-31 16:59:57 UTC
(In reply to Katrin Fischer from comment #3)
> bug 12574 should have fixed this - can you give some more information about
> your Koha version and the links you click?

Koha Master
Turn on as many image cover options as you can in the system preferences.
Change the BiblioDefaultView to ISBD.
Open an OPAC search
The title links are correct.
Mouse over the image links (even the no cover image ones): opac-detail
Comment 5 M. Tompsett 2015-05-31 17:00:23 UTC
-- oh, and don't use the XSLT view.
Comment 6 M. Tompsett 2015-07-09 00:27:38 UTC Comment hidden (obsolete)
Comment 7 Frédéric Demians 2015-11-11 17:14:35 UTC
Created attachment 44776 [details] [review]
Bug 14259: OPAC system preference BiblioDefaultView is ignored

Cover image links ignore the BiblioDefaultView value for non-XSLT.
XSLT was corrected in 12574.

TEST PLAN
---------
 1) Back up your database
 2) drop you db and do a fresh install of the sample data
 3) set koha admin to a super librarian, and set up a username
    and password for it.
 4) catalog "The Road To Character" by David Brooks.
 5) using koha admin import a small set of data.
 6) stop zebra and do a full reindex then restart it.
 7) Change the 'OPACXSLTDetailsDisplay' and 'OPACXSLTResultsDisplay'
    system preferences to blank!
    -- This corrects the non-XSLT things missed by 12574.
 7) Change the 'GoogleJackets' system preference to 'Add'.
 8) Change the 'BiblioDefaultView' system preference to
    'in their MARC form'.
 9) Change the 'IDreamBooksResults' system preference to 'Add'.
10) Search for something that will find "The Road To Character"
    and something else in the OPAC.
11) Run your mouse over the title text in the search results.
    -- Link will be to opac-MARCdetail.pl
12) Run your mouse over the cover image or lack thereof.
    -- Link will be to opac-detail.pl
    -- This will fail for both "The Road to Character" and the
       non-"The Road to Character" entries.
13) Apply this patch
14) Refresh the OPAC page
    -- Links under the cover images will be corrected.
15) In the staff client, change 'IDreamBooksReviews' to 'Add'.
16) Refresh the OPAC page
    -- "The Road to Character" will be correct, but have a
       '#idb_critic_reviews' appended.
17) run koha qa test tools

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  All combinations tested without/with this patch. Works as expected.
Comment 8 Jonathan Druart 2015-11-12 13:42:45 UTC
Were not they going to be deprecated?
Comment 9 Jonathan Druart 2015-11-13 10:00:35 UTC
http://wiki.koha-community.org/wiki/Coding_Guidelines#DEPR1:_non-XSLT_search_results_and_bib_display_templates_deprecated

"""
As of 2014-07-02, use of the XSLT search results and bib details display templates for the staff interface and public catalog is now the preferred option. Consequently, the non-XSLT option is now deprecated and it will not be maintained.
"""
Comment 10 M. Tompsett 2015-12-02 11:53:31 UTC
(In reply to Jonathan Druart from comment #9)
> http://wiki.koha-community.org/wiki/Coding_Guidelines#DEPR1:_non-
> XSLT_search_results_and_bib_display_templates_deprecated
> 
> """
> As of 2014-07-02, use of the XSLT search results and bib details display
> templates for the staff interface and public catalog is now the preferred
> option. Consequently, the non-XSLT option is now deprecated and it will not
> be maintained.
> """

3.22.x = now
3.20.x = july
3.18.x = last year
3.16.x = year before that

Perhaps, if 3.16.x is to be maintained at all, this would still be a valid patch for 3.16.x?

In the meantime, changing the OPACXSLTDetailsDisplay, OPACXSLTResultsDisplay, XSLTDetailsDisplay, and XSLTResultsDisplay all to default, as they are likely blank currently, would be the recommended course of action.
Comment 11 Katrin Fischer 2015-12-02 22:10:00 UTC
I think 3.16 can be considered EOL currently, as it has no maintainer:
http://wiki.koha-community.org/wiki/Roles_for_3.24
Comment 12 M. Tompsett 2015-12-02 23:21:51 UTC
Created attachment 45342 [details] [review]
Bug 14259: OPAC system preference BiblioDefaultView is ignored (3.16.x)

Cover image links ignore the BiblioDefaultView value for non-XSLT.

TEST PLAN
---------
 1) Back up your database
 2) drop you db and do a fresh install of the sample data
 3) set koha admin to a super librarian, and set up a username
    and password for it.
 4) catalog "The Road To Character" by David Brooks.
 5) using koha admin import a small set of data.
 6) stop zebra and do a full reindex then restart it.
 7) Change the 'OPACXSLTDetailsDisplay' and 'OPACXSLTResultsDisplay'
    system preferences to blank!
    -- This corrects the non-XSLT things missed by 12574.
 7) Change the 'GoogleJackets' system preference to 'Add'.
 8) Change the 'BiblioDefaultView' system preference to
    'in their MARC form'.
 9) Change the 'IDreamBooksResults' system preference to 'Add'.
10) Search for something that will find "The Road To Character"
    and something else in the OPAC.
11) Run your mouse over the title text in the search results.
    -- Link will be to opac-MARCdetail.pl
12) Run your mouse over the cover image or lack thereof.
    -- Link will be to opac-detail.pl
    -- This will fail for both "The Road to Character" and the
       non-"The Road to Character" entries.
13) Apply this patch
14) Refresh the OPAC page
    -- Links under the cover images will be corrected.
15) In the staff client, change 'IDreamBooksReviews' to 'Add'.
16) Refresh the OPAC page
    -- "The Road to Character" will be correct, but have a
       '#idb_critic_reviews' appended.
17) run koha qa test tools
Comment 13 M. Tompsett 2015-12-02 23:27:08 UTC
As per Katrin's comment #11, I felt this best to mark as RESOLVED WONT FIX.
Though, in the off chance there is found a 3.16.x maintainer, I've attached what I believe will work for 3.16.

Otherwise, based on Jonathan Druart's comment #9, I'll reiterate what seems to be the recommendation that I stated in comment #10:
- Change the OPACXSLTDetailsDisplay, OPACXSLTResultsDisplay, XSLTDetailsDisplay, and XSLTResultsDisplay all to default, as they are likely blank currently.